[PC-BSD Commits] r4160 - pbibuild/pbibuilder/scripts

svn at pcbsd.org svn at pcbsd.org
Mon Jun 29 10:39:13 PDT 2009


Author: kris
Date: 2009-06-29 10:39:13 -0700 (Mon, 29 Jun 2009)
New Revision: 4160

Modified:
   pbibuild/pbibuilder/scripts/3.makepbi.sh
Log:

Fixed a bug creating a PBI when there are .svn or other "hidden" directories in kmenu-dir and mime-dir



Modified: pbibuild/pbibuilder/scripts/3.makepbi.sh
===================================================================
--- pbibuild/pbibuilder/scripts/3.makepbi.sh	2009-06-29 15:22:24 UTC (rev 4159)
+++ pbibuild/pbibuilder/scripts/3.makepbi.sh	2009-06-29 17:39:13 UTC (rev 4160)
@@ -182,7 +182,11 @@
    cd /module/kmenu-dir
    for i in `ls`
    do
-     cat ${i} >>/pbi.pbc
+     echo ${i} | grep "^\." >/dev/null 2>/dev/null
+     if [ "$?" != "0" -a -f "${i}" ]
+     then
+       cat ${i} >>/pbi.pbc
+     fi
    done
 fi
 
@@ -192,7 +196,12 @@
    cd /module/mime-dir
    for i in `ls /module/mime-dir`
    do
-     cat ${i} >>/pbi.pbc
+     # Make sure we ignore any hidden files / dirs
+     echo ${i} | grep "^\." >/dev/null 2>/dev/null
+     if [ "$?" != "0" -a -f "${i}" ]
+     then
+       cat ${i} >>/pbi.pbc
+     fi
    done
 fi
 



More information about the Commits mailing list